Summary:	Seahorse - A GNOME front end for GnuPG
Summary(pl.UTF-8):	Seahorse - frontend GNOME do GnuPG
Name:		seahorse
Version:	3.10.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/seahorse/3.10/%{name}-%{version}.tar.xz
# Source0-md5:	898450b7d4f96dc76658ba2d2b849303
URL:		http://www.gnome.org/projects/seahorse/
BuildRequires:	atk-devel >= 1.32.0
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	avahi-devel
BuildRequires:	avahi-glib-devel >= 0.6
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcr-devel >= 3.9.1
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gnupg >= 1.4.5
BuildRequires:	gpgme-devel >= 1:1.1.2
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libsecret-devel >= 0.16
BuildRequires:	libsoup-devel >= 2.33.92
BuildRequires:	libtool
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	vala >= 0.18.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	gcr >= 3.4.0
Requires:	gnome-keyring >= 3.4.0
Requires:	gnupg >= 1.4.5
Requires:	gnupg2
Obsoletes:	gnome-keyring-manager
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Seahorse is a GNOME front end for GnuPG - the Gnu Privacy Guard
program. It is a tool for secure communications and data storage. Data
encryption and digital signature creation can easily be performed
through a GUI and Key Management operations can easily be carried out
through an intuitive interface. Both English and Japanese is support
is provided.

%description -l pl.UTF-8
Seahorse to frontend GNOME do programu GnuPG - Gnu Privacy Guard. Jest
to narzędzie do bezpiecznego komunikowania i przechowywania danych.
Szyfrowanie danych i tworzenie cyfrowego podpisu może być łatwo
realizowane poprzez graficzny interfejs użytkownika, a zarządzanie
kluczami jest prowadzone przez intuicyjny interfejs.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	SSH_KEYGEN_PATH=%{_bindir}/ssh-keygen \
	SSH_PATH=%{_bindir}/ssh \
	--enable-pgp \
	--disable-silent-rules \
	--disable-schemas-compile \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/seahorse
%dir %{_libdir}/seahorse
%attr(755,root,root) %{_libdir}/seahorse/seahorse-ssh-askpass
%attr(755,root,root) %{_libdir}/seahorse/xloadimage
%{_datadir}/%{name}
%{_desktopdir}/seahorse.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/GConf/gsettings/org.gnome.seahorse.convert
%{_datadir}/GConf/gsettings/org.gnome.seahorse.manager.convert
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.manager.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.window.gschema.xml
%{_mandir}/man1/seahorse.1*
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini

%changelog
* Sat Oct 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/seahorse.git;a=log;h=master

* Sat Oct 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8f0a407
- updated to 3.10.1

* Wed Oct 02 2013 Artur Frysiak <artur@frysiak.net> 1666f5e
- Up to 3.10.0

* Fri May 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> cb2638a
- updated to 3.8.2

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 6ba629a
- updated to 3.8.0

* Sat Feb 02 2013 Łukasz Kieś <kiesiu@pld-linux.org> bf4a1ad
- updated to 3.6.3

* Wed Oct 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 74dca57
- updated to 3.6.2

* Sat Oct 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 1fe8629
- Update to 3.6.1

* Mon Jul 23 2012 Marcin Krol <hawk@tld-linux.org> d8fb0ed
- build fix for:
  seahorse-gpgme-keyring.c:862:1: error: size of array '_GStaticAssertCompileTimeAssertion_12' is negative
  seahorse-gpgme-keyring.c:862:2: error: cannot convert to a pointer type

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 38a2acd
- updated to 3.4.1

* Sun Apr 08 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 6cd4a64
- updated to 3.4.0
- added O: gnome-keyring-manager

* Fri Nov 25 2011 Łukasz Kieś <kiesiu@pld-linux.org> 44fad1e
- updated to 3.2.2

* Fri Sep 30 2011 Patryk Zawadzki <patrys@room-303.com> 03cb69d
- 3.2.0
- merged from DEVEL

* Mon May 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 530dc2d
- updated to 3.0.2

* Thu Apr 07 2011 Artur Frysiak <artur@frysiak.net> f4cfe82
- up to 3.0.0, merge from DEVEL

* Sat Mar 26 2011 Elan Ruusamäe <glen@pld-linux.org> da5508b
- add seahorse to system settings, like gnome-keyring-manager is

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> f601557
- Requires(post,postun): gtk-update-icon-cache

* Mon Oct 11 2010 qwiat <qwiat@pld-linux.org> b5aac21
- updated to 2.32
- added BR's

* Thu May 13 2010 sparky <sparky@pld-linux.org> e74914b
- added SSH_ paths to configure to enable seahorse-ssh-*

* Sat May 01 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 422fa44
- updated to 2.30.1

* Wed Apr 21 2010 Patryk Zawadzki <patrys@room-303.com> 5422c6f
- 2.30.0

